import { isIconLookup } from "./is-icon-lookup";
export const faNormalizeIconSpec = (iconSpec, defaultPrefix) => {
    if (isIconLookup(iconSpec)) {
        return iconSpec;
    }
    if (typeof iconSpec === "string") {
        return { prefix: defaultPrefix, iconName: iconSpec };
    }
    return { prefix: iconSpec[0], iconName: iconSpec[1] };
};
