import { SvelteComponentTyped } from "svelte";
import type { FaSymbol, FlipProp, IconProp, PullProp, RotateProp, SizeProp, Styles } from '@fortawesome/fontawesome-svg-core';
import type { AnimationProp } from './shared/models/props.models';
declare const __propDef: {
    props: {
        icon: IconProp;
        title?: string | undefined;
        animation?: AnimationProp | undefined;
        mask?: IconProp | undefined;
        styles?: Styles | undefined;
        flip?: FlipProp | undefined;
        size?: SizeProp | undefined;
        pull?: PullProp | undefined;
        border?: boolean | undefined;
        inverse?: boolean | undefined;
        symbol?: FaSymbol | undefined;
        rotate?: RotateProp | undefined;
        fixedWidth?: boolean | undefined;
        a11yRole?: string | undefined;
        classes?: string[] | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type IconProps = typeof __propDef.props;
export type IconEvents = typeof __propDef.events;
export type IconSlots = typeof __propDef.slots;
export default class Icon extends SvelteComponentTyped<IconProps, IconEvents, IconSlots> {
}
export {};
