import type { IconDefinition, IconName, IconPack, IconPrefix } from "@fortawesome/fontawesome-svg-core";
export type IconDefinitions = {
    [prefix: string]: {
        [name: string]: IconDefinition;
    };
};
export declare const iconStore: import("svelte/store").Writable<IconDefinitions>;
export declare const addIcons: (...icons: IconDefinition[]) => void;
export declare const addIconPacks: (...packs: IconPack[]) => void;
export declare const getIconDefinition: (definitions: IconDefinitions, prefix: IconPrefix, name: IconName) => IconDefinition | null;
